Package org.gradle.api.tasks

## Class Upload

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.Upload

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @Deprecated
      @DisableCachingByDefault(because="Produces no cacheable output")
      public class Upload
      extends org.gradle.api.internal.ConventionTask

  Deprecated.
  This class is scheduled for removal in Gradle 8.0. To upload artifacts, use the maven-publish plugin instead.
  Uploads the artifacts of a `Configuration` to a set of repositories.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Upload()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileCollection` | `getArtifacts()` | Deprecated. Returns the artifacts which will be uploaded.
    `Configuration` | `getConfiguration()` | Deprecated. Returns the configuration to upload.
    `java.io.File` | `getDescriptorDestination()` | Deprecated. Returns the path to generate the dependency descriptor to.
    `protected org.gradle.api.internal.artifacts.ArtifactPublicationServices` | `getPublicationServices()` | Deprecated.
    `RepositoryHandler` | `getRepositories()` | Deprecated. Returns the repositories to upload to.
    `boolean` | `isUploadDescriptor()` | Deprecated. Specifies whether the dependency descriptor should be uploaded.
    `RepositoryHandler` | `repositories​(Closure configureClosure)` | Deprecated. Configures the set of repositories to upload to.
    `RepositoryHandler` | `repositories​(Action<? super RepositoryHandler> configureAction)` | Deprecated. Configures the set of repositories to upload to.
    `void` | `setConfiguration​(Configuration configuration)` | Deprecated.
    `void` | `setDescriptorDestination​(java.io.File descriptorDestination)` | Deprecated.
    `void` | `setUploadDescriptor​(boolean uploadDescriptor)` | Deprecated.
    `protected void` | `upload()` | Deprecated.

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### Upload

          public Upload()

      Deprecated.

  - ### Method Detail

    - #### getPublicationServices

          @Inject
          protected org.gradle.api.internal.artifacts.ArtifactPublicationServices getPublicationServices()

      Deprecated.

    - #### upload

          protected void upload()

      Deprecated.

    - #### isUploadDescriptor

          @Input
          public boolean isUploadDescriptor()

      Deprecated.
      Specifies whether the dependency descriptor should be uploaded.

    - #### setUploadDescriptor

          public void setUploadDescriptor​(boolean uploadDescriptor)

      Deprecated.

    - #### getDescriptorDestination

          @Internal
          public java.io.File getDescriptorDestination()

      Deprecated.
      Returns the path to generate the dependency descriptor to.

    - #### setDescriptorDestination

          public void setDescriptorDestination​(java.io.File descriptorDestination)

      Deprecated.

    - #### getRepositories

          @Internal
          public RepositoryHandler getRepositories()

      Deprecated.
      Returns the repositories to upload to.

    - #### getConfiguration

          @Internal
          public Configuration getConfiguration()

      Deprecated.
      Returns the configuration to upload.

    - #### setConfiguration

          public void setConfiguration​(Configuration configuration)

      Deprecated.

    - #### repositories

          public RepositoryHandler repositories​(@Nullable @DelegatesTo(RepositoryHandler.class)
                                                Closure configureClosure)

      Deprecated.
      Configures the set of repositories to upload to.

    - #### repositories

          public RepositoryHandler repositories​(Action<? super RepositoryHandler> configureAction)

      Deprecated.
      Configures the set of repositories to upload to.
      Since:
        3.5

    - #### getArtifacts

          @PathSensitive(NAME_ONLY)
          @InputFiles
          public FileCollection getArtifacts()

      Deprecated.
      Returns the artifacts which will be uploaded.
      Returns:
        the artifacts.